Skip to main content
`Ctrl`+`K`

# kepler_fits_reader

astropy.timeseries.io.kepler_fits_reader(filename, unit_parse_strict='warn')

  This serves as the FITS reader for KEPLER or TESS files within astropy-timeseries.

  This function should generally not be called directly, and instead this time series reader should be accessed with the `read()` method:

      >>> from astropy.timeseries import TimeSeries
      >>> ts = TimeSeries.read('kplr33122.fits', format='kepler.fits')

  Parameters:
    filename `str` or `pathlib.Path`

      File to load.

    unit_parse_strict `python:str`, optional

      Behaviour when encountering invalid column units in the FITS header. Default is “warn”, which will emit a `UnitsWarning` and create a `UnrecognizedUnit`. Values are the ones allowed by the `parse_strict` argument of `Unit`: `raise`, `warn` and `silent`.

  Returns:
    ts `TimeSeries`

      Data converted into a TimeSeries.